Skip to main content
GET
/
v1
/
raw
/
instagram
/
post
/
{shortcode}
cURL
curl --request GET \
  --url https://api.influship.com/v1/raw/instagram/post/{shortcode} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "post": {
      "id": "<string>",
      "shortcode": "<string>",
      "display_url": "<string>",
      "is_video": true,
      "post_type": "image",
      "like_count": 123,
      "comment_count": 123,
      "caption": "<string>",
      "taken_at": 123,
      "owner_username": "<string>",
      "accessibility_caption": "<string>",
      "video_url": "<string>",
      "thumbnail_url": "<string>",
      "view_count": 123,
      "carousel_items": [
        {
          "index": 123,
          "display_url": "<string>",
          "is_video": true,
          "video_url": "<string>",
          "thumbnail_url": "<string>"
        }
      ],
      "coauthor_usernames": [
        "<string>"
      ],
      "is_paid_partnership": true,
      "sponsor_usernames": [
        "<string>"
      ],
      "tagged_usernames": [
        "<string>"
      ],
      "product_mentions": [
        {
          "product_id": "<string>",
          "product_name": "<string>",
          "merchant_username": "<string>"
        }
      ],
      "display_resources": [
        {
          "src": "<string>",
          "config_width": 123,
          "config_height": 123
        }
      ],
      "video_versions": [
        {
          "url": "<string>",
          "id": "<string>",
          "type": 123,
          "width": 123,
          "height": 123
        }
      ],
      "music_attribution": {
        "artist_name": "<string>",
        "song_name": "<string>",
        "audio_id": "<string>",
        "uses_original_audio": true,
        "should_mute_audio": true
      },
      "location": {
        "id": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "has_public_page": true,
        "lat": 123,
        "lng": 123,
        "address_json": {}
      },
      "is_pinned": true,
      "engagement_visibility": {
        "viewer_can_reshare": true,
        "comments_disabled": true,
        "like_and_view_counts_disabled": true
      }
    },
    "scraped_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.influship.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

shortcode
string
required

Instagram post shortcode from a /p/, /reel/, or /tv/ URL

Minimum string length: 1
Example:

"C0ABC123xyz"

Response

Successful response

data
object
required